This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 144138 - CAN-2004-1235 isec.pl do_brk() privilege escalation
CAN-2004-1235 isec.pl do_brk() privilege escalation
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
reported=20041222,public=20050106,imp...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-04 14:41 EST by Josh Bressers
Modified: 2013-08-05 21:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 10:41:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
isec.pl exploit. See the source for compilation instructions. (14.58 KB, text/plain)
2005-01-04 14:45 EST, Josh Bressers
no flags Details
Proposed patch for this issue. (7.71 KB, patch)
2005-01-04 14:48 EST, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-01-04 14:41:29 EST
isec.pl reported a missing down() on mmap_sem semaphore whilst calling do_brk;
so if do_brk() sleeps on a kmalloc it may get into a VMA list race - leading to
results similar to the do_brk exploit.
Comment 2 Josh Bressers 2005-01-04 14:48:16 EST
Created attachment 109343 [details]
Proposed patch for this issue.
Comment 3 Mark J. Cox (Product Security) 2005-01-10 04:31:48 EST
Removing embargo
Comment 8 Damian Menscher 2005-01-16 11:30:40 EST
Does this affect RHEL3?  Is a patch coming?  This has been public for
9 days, and your customers are nervous.
Comment 9 Jim Paradis 2005-01-17 15:55:28 EST
A fix for this problem has also been committed to the RHEL2.1 U7
patch pool (in kernel version 2.4.18-e.53)
Comment 10 Josh Bressers 2005-01-21 10:41:31 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-017.html

Note You need to log in before you can comment on or make changes to this bug.